#!/bin/sh
PKGV=$(echo $PKG_VERSION | sed 's/[.]//g')
PKGVS=$(echo $PKGV | sed 's/.$//')
if [ "$OSX_ARCH" != "" ]; then
    COMP=mac
    cd ..
    ls
    rm -rf gurobi75
    cp C:/cygwin/home/qa/git/gurobi/build/gurobi7.5.2_win32.tar.gz .
    tar xfz gurobi7.5.2_win32.tar.gz
    cd gurobi752/${COMP}${ARCH}
    cp lib/python${PY_VER}/gurobipy/gurobipy.so lib/gurobipy
    if [ "$PY_VER" == "2.7" ]; then
        install_name_tool -change /System/Library/Frameworks/Python.framework/Versions/2.7/Python @rpath/libpython2.7.dylib lib/gurobipy/gurobipy.so
    else
        install_name_tool -change /Library/Frameworks/Python.framework/Versions/3.6/Python  @rpath/libpython3.6m.dylib lib/gurobipy/gurobipy.so
    fi
    install_name_tool -change /Library/gurobi752/mac64/lib/libgurobi75.so @rpath/libgurobi75.so lib/gurobipy/gurobipy.so
    install_name_tool -change /Library/gurobi752/mac64/lib/libaes75.so @rpath/libaes75.so lib/gurobipy/gurobipy.so
    SODIR=gurobipy
else
    COMP=linux
    SODIR=python${PY_VER}_utf32
    echo ${SODIR}
    cd ..
    rm -rf gurobi75
    cp C:/cygwin/home/qa/git/gurobi/build/gurobi7.5.2_win32.tar.gz .
    tar xfz gurobi7.5.2_win32.tar.gz
    cd gurobi752/${COMP}${ARCH}
fi
echo $PREFIX
mkdir -p $PREFIX/share/doc/gurobi
cp -r docs/* $PREFIX/share/doc/gurobi
cp -r examples/python $PREFIX/share/doc/gurobi/examples
cp bin/* $PREFIX/bin
ls -l lib/
cp -L lib/libgurobi75.so $PREFIX/lib/libgurobi75.so
cp -L lib/libaes75.so $PREFIX/lib/libaes75.so
ls -l $PREFIX/lib/
ls lib/${SODIR}/
cp lib/${SODIR}/gurobipy.so $SP_DIR
ls $PREFIX/lib/
mkdir $SP_DIR/gurobi
echo "from gurobipy import *" >> $SP_DIR/gurobi/__init__.py
